org.apache.sysds.runtime.compress.colgroup.mapping

## Class MapToChar

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.mapping.AMapToData
  - - org.apache.sysds.runtime.compress.colgroup.mapping.MapToChar

-     public class MapToChar
      extends AMapToData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapToChar(int unique, char[] data)`
    `MapToChar(int unique, int size)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fill(int v)`
    `char[]` | `getChars()`
    `long` | `getExactSizeOnDisk()`
    `int` | `getIndex(int n)`
    `long` | `getInMemorySize()`
    `static long` | `getInMemorySize(int dataLength)`
    `static MapToChar` | `readFields(DataInput in)`
    `void` | `set(int n, int v)`
    `int` | `size()`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.mapping.AMapToData

      `getUnique, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapToChar

          public MapToChar(int unique,
                           int size)

    - #### MapToChar

          public MapToChar(int unique,
                           char[] data)

  - ### Method Detail

    - #### getIndex

          public int getIndex(int n)

      Specified by:
        `getIndex` in class `AMapToData`

    - #### fill

          public void fill(int v)

      Specified by:
        `fill` in class `AMapToData`

    - #### getInMemorySize

          public long getInMemorySize()

      Specified by:
        `getInMemorySize` in class `AMapToData`

    - #### getInMemorySize

          public static long getInMemorySize(int dataLength)

    - #### getExactSizeOnDisk

          public long getExactSizeOnDisk()

      Specified by:
        `getExactSizeOnDisk` in class `AMapToData`

    - #### set

          public void set(int n,
                          int v)

      Specified by:
        `set` in class `AMapToData`

    - #### size

          public int size()

      Specified by:
        `size` in class `AMapToData`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in class `AMapToData`
      Throws:
        `IOException`

    - #### readFields

          public static MapToChar readFields(DataInput in)
                                      throws IOException

      Throws:
        `IOException`

    - #### getChars

          public char[] getChars()

Copyright © 2021 The Apache Software Foundation. All rights reserved.